Bug 1694656 - AWS StorageClass parameter fsType does not work
Summary: AWS StorageClass parameter fsType does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.1.0
Assignee: Jan Safranek
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-01 11:00 UTC by Jan Safranek
Modified: 2019-06-04 10:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:53 UTC

Description Jan Safranek 2019-04-01 11:00:50 UTC
In Kubernetes 1.12 and 1.13, AWS StorageClass parameters are parsed as case-sensitive ("fstype") and our example with "fsType" does not work.

See https://github.com/kubernetes/kubernetes/issues/75941.

Fix: https://github.com/kubernetes/kubernetes/pull/75943.

Comment 1 Jan Safranek 2019-04-03 08:01:26 UTC
4.1 PR: https://github.com/openshift/origin/pull/22458

Comment 3 Chao Yang 2019-04-09 07:01:00 UTC
It is passed 
version   4.0.0-0.ci-2019-04-09-033744   True        False         22m     Cluster version is 4.0.0-0.ci-2019-04-09-033744

1.Create storageclass
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  creationTimestamp: 2019-04-09T06:56:42Z
  name: slow2
  resourceVersion: "27077"
  selfLink: /apis/storage.k8s.io/v1/storageclasses/slow2
  uid: a165f362-5a94-11e9-a644-062ad84ba8ec
parameters:
  fsType: ext3
  zone: eu-west-3a
provisioner: kubernetes.io/aws-ebs
reclaimPolicy: Delete
volumeBindingMode: Immediate

2.Create pvc
3.Check pv
oc describe pv pvc-a902744c-5a94-11e9-8cb3-0e67c290fbc2
Name:              pvc-a902744c-5a94-11e9-8cb3-0e67c290fbc2
Labels:            failure-domain.beta.kubernetes.io/region=eu-west-3
                   failure-domain.beta.kubernetes.io/zone=eu-west-3a
Annotations:       kubernetes.io/createdby: aws-ebs-dynamic-provisioner
                   pv.kubernetes.io/bound-by-controller: yes
                   pv.kubernetes.io/provisioned-by: kubernetes.io/aws-ebs
Finalizers:        [kubernetes.io/pv-protection]
StorageClass:      slow2
Status:            Bound
Claim:             test/ebsc2
Reclaim Policy:    Delete
Access Modes:      RWO
VolumeMode:        Filesystem
Capacity:          1Gi
Node Affinity:     
  Required Terms:  
    Term 0:        failure-domain.beta.kubernetes.io/zone in [eu-west-3a]
                   failure-domain.beta.kubernetes.io/region in [eu-west-3]
Message:           
Source:
    Type:       AWSElasticBlockStore (a Persistent Disk resource in AWS)
    VolumeID:   aws://eu-west-3a/vol-05f0a29f1dc7b21ae
    FSType:     ext3
    Partition:  0
    ReadOnly:   false
Events:         <none>
4.oc rsh mypod2
/ # df -hT
Filesystem           Type            Size      Used Available Use% Mounted on
overlay              overlay       119.0G      5.0G    114.0G   4% /
tmpfs                tmpfs          64.0M         0     64.0M   0% /dev
tmpfs                tmpfs           3.7G         0      3.7G   0% /sys/fs/cgroup
shm                  tmpfs          64.0M         0     64.0M   0% /dev/shm
tmpfs                tmpfs           3.7G      3.8M      3.7G   0% /etc/resolv.conf
tmpfs                tmpfs           3.7G      3.8M      3.7G   0% /etc/hostname
/dev/nvme1n1         ext3          975.9M      1.3M    974.6M   0% /mypod

Comment 5 errata-xmlrpc 2019-06-04 10:46:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.